@charset "utf-8";
@import "theme.css";

body {
/*	font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;*/
}

/* Splash page */
.kontinuum-subtitle {
	color: var(--Kontinuum-Grey-2-hex);
}

.kontinuum-splash {
	margin-top:8%;
}
	.kontinuum-splash > img {
		width:70%;
	}
.kontinuum-payoff {
	color: var(--Kontinuum-Black-2-hex);
	font-size: 16px;
	margin-top: 2%;
}

/* Copyright banner */
.kontinuum-copyright,
.kontinuum-copyright:hover,
.kontinuum-copyright:active {
	color: var(--Kontinuum-Primary-2-hex);
	text-decoration: none;
	margin-top: 30px;
}

.mud-breadcrumbs {
	margin-left:-10px;
}

/* Pagination fix to hide disc */
.mud-pagination {
	list-style-type: none;
}

/* Mud Blazor component overrides */
.mud-form,
.mud-tabs {

	background-color: #fff !important;
}

.mud-select .scope-selector {
	background-color: white;
	color: black;
}

.mud-thememanager-button {
	box-shadow: 1px 1px 18px var(--Kontinuum-Primary-2-hex) !important;
	background-color: var(--Kontinuum-Primary-2-hex) !important;
}

.mud-nav-link-text {
	font-weight:normal;
	font-size:medium;
}

.mud-nav-link.active {
	background-color: #FEFEFE;
}

.mud-tabs.radar .mud-tab {
	padding:24px;
	text-transform: none;
	font-size: 16px;
	font-weight: normal;
	justify-content: normal;
}

.mud-tabs.radar .mud-tab-slider.mud-tab-slider-vertical {
	background-color: var(--Kontinuum-Grey-1-hex);
}

.mud-label,
.mud-switch-label-medium {
	font-weight: 500;
	font-size: 14px !important;
}

/*TODO:generic*/
.mud-tabs-vertical .radar-title {
	height: 56px;
}
.mud-tabs-vertical .radar-title,
.mud-tabs-vertical .radar-title .mud-tab-icon-text {
	background-color: #e6f3fd;
	color: rgb(66,66,66);
}

.scope-selector .mud-select-input {
	background-color: var(--mud-palette-info-hover) !important;
}

.noblips {
	color: #E0E0E0;
	font-size: 16px;
	font-weight: 300;
}

.footer {
	position: absolute;
	display: block;
	bottom: 0px;
}

.mud-input .search {
	border-bottom: hidden !important;
}

.logo {
	height:30px;
	min-width:30px;
}

img.overview {
	background-color:transparent;
	display:block;
	margin: 15px;
}

.overview {
	margin: 15px;
}

.show {
	visibility: visible;
}

.hide {
	visibility: hidden;
}

/*CertificationType*/

.colorUnknown {  
	background-color: rgba(0, 0, 0, 0.2); /* Yellow with 80% transparency */  
}
.colorPrerequisite {
	background-color: rgba(35, 186, 222, 0.2); /* --Kontinuum-Primary-3-hex with 20% transparency */
}
.colorCertification {
	background-color: rgba(119, 193, 159, 0.2); /* --Kontinuum-Primary-1-hex with 20% transparency */
}
.colorChainalysis {
	background-color: rgba(245, 84, 31, 0.2); /* #f5541f with 20% transparency */
}
.colorECCouncil {
	background-color: rgba(229, 28, 36, 0.2); /* #e51c24 with 20% transparency */
}  
.colorMicrosoft {  
	background-color: rgba(0, 103, 184, 0.2); /* #0067b8 with 20% transparency */  
}  
.colorAws {  
	background-color: rgba(236, 114, 17, 0.2); /* #ec7211 with 20% transparency */  
}  
.colorHashiCorp {  
	background-color: rgba(160, 103, 218, 0.2); /* #a067da with 20% transparency */  
}  
.colorAchievement {
	background-color: rgba(62, 144, 194, 0.2); /* --Kontinuum-Primary-2-hex with 20% transparency */
}

/*Radar*/

.radarWrapper {
	display: flex;
}
	.radarWrapper > .graph {
		width: 50%;
	}

	.radarWrapper > .blips {
		width: 50%;
	}

.radar {
	width: 100%;
	height: auto;
	overflow: hidden;
}

.radar-background {
	fill: none;
}

.radar-ring {
	fill: none;
	stroke: var(--Kontinuum-transparent-1-hex);
	stroke-width: 1;
}

.radar-ring-1 {
	fill: var(--Kontinuum-Radar-Adopt);
}

.radar-ring-2 {
	fill: var(--Kontinuum-Radar-Assess);
}

.radar-ring-3 {
	fill: var(--Kontinuum-Radar-Research);
}

.radar-ring-4 {
	fill: var(--Kontinuum-Radar-Hold);
}

.radar-axis {
	stroke: #fff;
	stroke-width: 4;
}

.radar-quadrant-label,
.radar-ring-label {
	text-transform: uppercase;
}

.radar-ring-label-1 {
	fill: var(--Kontinuum-Radar-Adopt);
	color: var(--Kontinuum-Radar-Adopt);
}

.radar-ring-label-2 {
	fill: var(--Kontinuum-Radar-Assess);
	color: var(--Kontinuum-Radar-Assess);
}

.radar-ring-label-3 {
	fill: var(--Kontinuum-Radar-Research);
	color: var(--Kontinuum-Radar-Research);
}

.radar-ring-label-4 {
	fill: var(--Kontinuum-Radar-Hold);
	color: var(--Kontinuum-Radar-Hold);
}

.radar-quadrant-label-1 {
	fill: var(--Kontinuum-Radar-Platforms);
}

.radar-quadrant-label-2 {
	fill: var(--Kontinuum-Radar-LanguageAndFrameworks);
}

.radar-quadrant-label-3 {
	fill: var(--Kontinuum-Radar-Techniques);
}

.radar-quadrant-label-4 {
	fill: var(--Kontinuum-Radar-Tools);
}

.radar-blip {
	cursor: pointer;
	fill: #48495b;
}

	.radar-blip.none {
		fill: #ff0000;
	}

	.radar-blip.up {
		fill: #ff0000;
	}

	.radar-blip.down {
		fill: #ff0000;
	}

.radar-blip-label {
	fill: #fff;
	font-size: 10px;
	font-weight: 600;
	pointer-events: none;
}

.radar-blip-adopt {
	fill: #48495b;
}
.radar-blip-research {
	fill: #48495b;
}
.radar-blip-assess {
	fill: #48495b;
}
.radar-blip-hold {
	fill: #48495b;
}

.radar-blip-selected {
	fill: var(--Kontinuum-Primary-1-hex) !important;
	stroke: #fff;
	stroke-width: 2;
}